From 07ce131fb116dae94b4e07bc2834419453077d08 Mon Sep 17 00:00:00 2001
Message-Id: <07ce131fb116dae94b4e07bc2834419453077d08.1350045285.git.minovotn@redhat.com>
In-Reply-To: <8d140e6fe679a73fd193609be44d508f17f7892b.1350045285.git.minovotn@redhat.com>
References: <8d140e6fe679a73fd193609be44d508f17f7892b.1350045285.git.minovotn@redhat.com>
From: Luiz Capitulino <lcapitulino@redhat.com>
Date: Tue, 9 Oct 2012 14:34:28 +0200
Subject: [PATCH 02/12] configure: add --localstatedir

RH-Author: Luiz Capitulino <lcapitulino@redhat.com>
Message-id: <1349793271-23645-3-git-send-email-lcapitulino@redhat.com>
Patchwork-id: 42852
O-Subject: [RHEL6.4 qemu-kvm PATCH 2/5] configure: add --localstatedir
Bugzilla: 856422
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Jeffrey Cody <jcody@redhat.com>
RH-Acked-by: Eduardo Habkost <ehabkost@redhat.com>

This is a RHEL6.4 version of the following patch posted upstream:

 https://lists.gnu.org/archive/html/qemu-devel/2012-10/msg00479.html

Signed-off-by: Luiz Capitulino <lcapitulino@redhat.com>
---
 configure | 11 +++++++++++
 1 file changed, 11 insertions(+)

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 configure | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/configure b/configure
index 63b68e0..85f82f9 100755
--- a/configure
+++ b/configure
@@ -33,6 +33,7 @@ prefix=""
 interp_prefix="/usr/gnemul/qemu-%M"
 static="no"
 sysconfdir=""
+local_statedir=""
 sparc_cpu=""
 cross_prefix=""
 cc="gcc"
@@ -494,6 +495,8 @@ for opt do
   ;;
   --sysconfdir=*) sysconfdir="$optarg"
   ;;
+  --localstatedir=*) local_statedir="$optarg"
+  ;;
   --disable-sdl) sdl="no"
   ;;
   --enable-sdl) sdl="yes"
@@ -785,6 +788,7 @@ echo "  --make=MAKE              use specified make [$make]"
 echo "  --install=INSTALL        use specified install [$install]"
 echo "  --static                 enable static build [$static]"
 echo "  --sysconfdir=PATH        install config in PATH"
+echo "  --localstatedir=PATH     install local state in PATH"
 echo "  --enable-debug-tcg       enable TCG debugging"
 echo "  --disable-debug-tcg      disable TCG debugging (default)"
 echo "  --enable-debug           enable common debug build options"
@@ -2198,6 +2202,9 @@ if test "$mingw32" = "yes" ; then
   if test -z "$sysconfdir" ; then
       sysconfdir="${prefix}"
   fi
+  if test -z "$local_statedir" ; then
+      local_statedir="${prefix}"
+  fi
 else
   if test -z "$prefix" ; then
       prefix="/usr/local"
@@ -2209,6 +2216,9 @@ else
   if test -z "$sysconfdir" ; then
       sysconfdir="${prefix}/etc"
   fi
+  if test -z "$local_statedir" ; then
+      local_statedir="${prefix}/var"
+  fi
 fi
 
 if test -f kvm/kernel/configure; then
@@ -2622,6 +2632,7 @@ echo "bindir=\${prefix}$binsuffix" >> $config_host_mak
 echo "mandir=\${prefix}$mansuffix" >> $config_host_mak
 echo "datadir=\${prefix}$datasuffix" >> $config_host_mak
 echo "sysconfdir=$sysconfdir" >> $config_host_mak
+echo "qemu_localstatedir=$local_statedir" >> $config_host_mak
 echo "docdir=\${prefix}$docsuffix" >> $config_host_mak
 echo "MAKE=$make" >> $config_host_mak
 echo "INSTALL=$install" >> $config_host_mak
-- 
1.7.11.7

